Skip to content

# python-terminusgps documentation

## Installation

python-terminusgps is a collection of API libraries written for use by Terminus GPS.

Terminus GPS is an IoT hardware/software GPS monitoring company.

Use pip to install from PyPI.

    pip install python-terminusgps

In Python, all subpackages are nested within `terminusgps`:

    from terminusgps.aws.secrets import get_secret # Retrieves a secret from AWS
    from terminusgps.wialon.session import WialonSession # Creates Wialon API sessions

Contents:

- Authorizenet API
  - Authorizenet API Authentication
  - Constants
  - API Controllers
  - Usage Examples
  - Profiles
  - Utilities
- AWS API
  - Notifications
  - Secrets
- Django
  - Forms
  - Mixins
  - Settings
  - Validators
- Twilio API
  - Caller object
  - Usage Examples
- Wialon API
  - Constants
  - Errors
  - Usage Examples
  - Flags
  - Items
  - Wialon API Sessions
  - Utilities